# Payment Account Transaction

Source: https://docs.gocardless.com/docs/api-reference/payment-account-transaction

## Get a single payment account transaction

`GET /payment_account_transactions/{payment_account_transaction_id}`

Retrieves the details of an existing payment account transaction.

### Parameters

| Name | Location | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `payment_account_transaction_id` | path | string | Yes | The payment account transaction id |

### Responses

| Status | Description |
| --- | --- |
| 200 | Successful response |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |

---

## List payment account transactions

`GET /payment_accounts/{payment_account_transaction_id}/transactions`

List transactions for a given payment account.

### Parameters

| Name | Location | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `payment_account_transaction_id` | path | string | Yes | The payment account transaction id |

### Responses

| Status | Description |
| --- | --- |
| 200 | Successful response |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |
